package intrinsic.flash.events;

public interface IEventDispatcher {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public void addEventListener(String arg0, intrinsic.Function arg1);
public void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public void removeEventListener(String arg0, intrinsic.Function arg1);
public void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public boolean hasEventListener(String arg0);
public boolean willTrigger(String arg0);

}
